# ironicclient.v1.shard module

class ironicclient.v1.shard.Shard(manager: BaseManager, info: dict[str, Any], loaded: bool = False)

  Bases: `Resource`

class ironicclient.v1.shard.ShardManager(api)

  Bases: `Manager`

  list(os_ironic_api_version=None, global_request_id=None)

    Retrieve a list of shards.

    Parameters:

      - os_ironic_api_version – String version (e.g. “1.35”) to use for the request. If not specified, the client’s default is used.

      - global_request_id – String containing global request ID header value (in form “req-<UUID>”) to use for the request.

    Returns:

      A list of conductors.

  resource_class

    alias of `Shard`

this page last updated: 2026-02-27 11:39:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug